{% extends main_template %}

{% block content %}
<div class="content">
  <h1>Health status of WS-Station</h1>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Item</th>
                <th>Status</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Database</td>
                <td>
                    {% if not db_available %}
                        <span class="badge bg-danger">Unavailable</span>
                    {% else %}
                        <span class="badge bg-success">Ready</span>
                    {% endif %}
                </td>
            </tr>
            {% if db_version %}
            <tr>
                <td>Database schema version</td>
                <td>{{ db_version }}</td>
            </tr>
            {% endif %}
            {% if app_version %}
            <tr>
                <td>Application version</td>
                <td>{{ app_version }}{% if app_commit %} ({{ app_commit }}){% endif %}</td>
            </tr>
            {% endif %}
        </tbody>
    </table>
</div>
{% endblock content %}
